#ifndef CUDANORMALIZEDCONVOLUTIONRIMAGEFILTERWIDGET_H__
#define CUDANORMALIZEDCONVOLUTIONRIMAGEFILTERWIDGET_H__

#include <QWidget>
#include "ui_CUDANormalizedConvolutionRImageFilterWidget.h"

class CUDANormalizedConvolutionRImageFilterWidget : public QWidget, public Ui_CUDANormalizedConvolutionRImageFilterWidget
{
	Q_OBJECT

public:
	/// Constructor
	CUDANormalizedConvolutionRImageFilterWidget(QWidget *parent = 0);
	/// Destructor
	~CUDANormalizedConvolutionRImageFilterWidget();

signals:
	/// Signal that is emitted if the check box for the range data changes
	void RangeDataCheckBoxChanged(bool value);
	/// Signal that is emitted when the range sigma slider changed
	void RangeSigmaChanged(float value);
	/// Signal that is emitted when the range kernel size changes
	void RangeKernelSizeChanged(int value);

protected slots:
	/// Connected to the range data sigma slider
	void RangeSigmaSliderChanged(int);
	/// Connected to the range kernel size combo box
	void RangeKernelSizeComboboxChanged(int);
public:
	void UpdateRangeKernelSize(int value);
	void UpdateRangeSigma(int value);
};

#endif // CUDANORMALIZEDCONVOLUTIONRIMAGEFILTERWIDGET_H__
